From 0c8c6355333a2d0d355809ec941ecc046198efc2 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Mon, 12 Sep 2016 08:06:52 -0700
Subject: [PATCH 1/2] * src/casefiddle.c (casify_word): Return Qnil.

---
 src/casefiddle.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/src/casefiddle.c b/src/casefiddle.c
index 6c64d67..59b5bbc 100644
--- a/src/casefiddle.c
+++ b/src/casefiddle.c
@@ -397,6 +397,7 @@ casify_word (enum case_action flag, Lisp_Object arg)
   casify_region (flag, beg, end);
 
   SET_PT (newpoint);
+  return Qnil;
 }
 
 DEFUN ("upcase-word", Fupcase_word, Supcase_word, 1, 1, "p",
@@ -409,8 +410,7 @@ With negative argument, convert previous words but do not move.
 See also `capitalize-word'.  */)
   (Lisp_Object arg)
 {
-  casify_word (CASE_UP, arg);
-  return Qnil;
+  return casify_word (CASE_UP, arg);
 }
 
 DEFUN ("downcase-word", Fdowncase_word, Sdowncase_word, 1, 1, "p",
@@ -422,8 +422,7 @@ is ignored when moving forward.
 With negative argument, convert previous words but do not move.  */)
   (Lisp_Object arg)
 {
-  casify_word (CASE_DOWN, arg);
-  return Qnil;
+  return casify_word (CASE_DOWN, arg);
 }
 
 DEFUN ("capitalize-word", Fcapitalize_word, Scapitalize_word, 1, 1, "p",
@@ -438,8 +437,7 @@ is ignored when moving forward.
 With negative argument, capitalize previous words but do not move.  */)
   (Lisp_Object arg)
 {
-  casify_word (CASE_CAPITALIZE, arg);
-  return Qnil;
+  return casify_word (CASE_CAPITALIZE, arg);
 }
 
 void
-- 
2.7.4

